Author Topic: System requirements updated.  (Read 336 times)

Offline x4000

  • Chris Park, Arcen Games Founder and Lead Designer
  • Administrator
  • Zenith Council Member Mark III
  • *****
  • Posts: 31,225
System requirements updated.
« on: August 07, 2018, 10:59:09 AM »
Just in case there is anyone affected by this, wanted to point this out.  Our new requirements are basically that you need to have a DirectX11-capable card.  On OSX and Linux, the equivalent is OpenGL 4.1. 

On the three major lines of cards, this means: NVIDIA GTX 510+, Radeon HD5900+, or Intel HD4000+

This isn't because of any big fanciness in the graphics, but because of mesh instancing support on those cards.  Basically it's a much more efficient way of using the GPU pipeline to draw a lot of little objects; and with thousands of ships onscreen at once here (in many cases 10s of thousands!) that's absolutely needed.

This had been the plan from the start, but unfortunately I had not realized that instancing support wasn't introduced until those cards.

For practical purposes, this means that the oldest Nvidia and AMD cards supported are from 2010 (8 years old!), and the oldest Intel onboard GPUs supported are from mid 2012 (Ivy Bridge and up -- still 6 years old!).

Thanks!
Have ideas or bug reports for one of our games?  Mantis for Suggestions and Bug Reports. Thanks for helping to make our games better!

Offline TheVampire100

  • Master Member
  • *****
  • Posts: 1,376
  • Ordinary Vampire
Re: System requirements updated.
« Reply #1 on: August 07, 2018, 11:15:46 AM »
I think an upgrade about every 5 years should be in order anyway. At least if you want to regulary play video games. For anything casual, old graphics work just as fine too.

I'm glad that I upgraded my specs half a year ago.

Offline x4000

  • Chris Park, Arcen Games Founder and Lead Designer
  • Administrator
  • Zenith Council Member Mark III
  • *****
  • Posts: 31,225
Re: System requirements updated.
« Reply #2 on: August 07, 2018, 11:21:32 AM »
Yep, my goal with all of our prior games was to have support going 5 years back.  With this game I was hoping to extend that to 10 years, but instead we hit 6-8 (depending on your GPU manufacturer).  Not too far off, in the main.

Incidentally, you technically CAN play the game on cards as up to 12 years old, but you won't see ships and shots.  You'll only see icons for the ships.  I don't plan on guaranteeing that you'll forever be able to see the icons, though, even in that case; the nature of how we batch those may change in the future in order to help performance for folks who meet the minimum specs; but at the moment it's not causing any issues.
Have ideas or bug reports for one of our games?  Mantis for Suggestions and Bug Reports. Thanks for helping to make our games better!

Offline TheVampire100

  • Master Member
  • *****
  • Posts: 1,376
  • Ordinary Vampire
Re: System requirements updated.
« Reply #3 on: August 07, 2018, 03:10:03 PM »
Incidentally, you technically CAN play the game on cards as up to 12 years old, but you won't see ships and shots. 
Oh, cool, perma cloaking. Not even Tachyons can get through it.

Offline x4000

  • Chris Park, Arcen Games Founder and Lead Designer
  • Administrator
  • Zenith Council Member Mark III
  • *****
  • Posts: 31,225
Re: System requirements updated.
« Reply #4 on: August 07, 2018, 03:27:11 PM »
Incidentally, you technically CAN play the game on cards as up to 12 years old, but you won't see ships and shots. 
Oh, cool, perma cloaking. Not even Tachyons can get through it.

Ahahah. :)

You can see the icons, though, so it's quite playable.  Not exactly what one would typically have in mind, but it's like staying in far zoom mode and never coming out of it in the first game.  And not being able to see shots, in addition to that.
Have ideas or bug reports for one of our games?  Mantis for Suggestions and Bug Reports. Thanks for helping to make our games better!